import utils_default from "../utils/index.js";
import color_default from "../color/index.js";
var adjust_channel_default = (n, r, i) => {
	let a = color_default.parse(n), o = a[r], s = utils_default.channel.clamp[r](o + i);
	return o !== s && (a[r] = s), color_default.stringify(a);
};
export { adjust_channel_default as default };
